Skip to navigation

Get Partner Assessment Orders

View as Markdown
Partner Restricted

All assessment API endpoints are restricted to assessment providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.

Summary Description

This endpoint allows partners retrieve assessment orders for companies actively onboarded to their API client ID. Orders can be filtered by company ID, order ID, candidate ID, or creation date, and are always sorted by companyId.

Use Case

A partner support team needs to troubleshoot a client issue. They use the endpoint to pull all assessment orders for a company and quickly identify discrepancies or status of the order in Paylocity.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Headers

testModebooleanOptional
If true all responses are mocked and generated randomly.
AcceptstringOptional

Query parameters

filterstringOptional

String to filter results, e.g., ‘filter=assessmentorderid eq ‘assessment_order_id”. Detailed filtering guide at: https://api-first-strategy.pages.paylocity.com/design/rest/operations/#filtering.

includeTotalCountbooleanOptional

If true, adds X-Pcty-Total-Count header with the total count of results for the query.

offsetintegerOptional
Pagination offset for the result set.
limitintegerOptional
Maximum number of results to return in a single call.

Response

Successful response